Page MenuHomePhabricator

If you start editing with wikitext, exiting VE sends you back to wikitext edit mode instead of read mode
Closed, ResolvedPublic1 Estimated Story Points

Event Timeline

Krenair created this task.Dec 24 2015, 1:25 AM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 24 2015, 1:25 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Isn't this the expected behavior? When I exit an editing window, I don't expect to be dropped into a different editing window.

Well, when you switch from WTE into VE, we just load VE on top of the existing page (like we do while reading). In that case, I think exiting VE drops you back into the wikitext editor where you left it.

In Safari 9/Mac OS 10.10, if I start in the wikitext editor, switch to the visual editor, and exit (Escape key), then I get returned to the wikitext editor.

And I think that is a bug that needs to be fixed. If I cancel and discard edits, I expect to be 100% finished with that editing session. I don't expect to be back in the wikitext editor, with whatever edits I had made in the wikitext editor still present.

Krenair renamed this task from Exiting VE always sets you back to the read tab, even though you might have started from the wikitext editor page to If you start editing with wikitext, exiting VE sends you back to wikitext edit mode instead of read mode.Jan 5 2016, 1:54 AM
Krenair set Security to None.
Jdforrester-WMF triaged this task as Medium priority.Jan 12 2016, 8:29 PM
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
AlexMonk-WMF edited subscribers, added: AlexMonk-WMF; removed: Krenair.Feb 23 2016, 3:41 AM
Elitre added a subscriber: Elitre.Feb 23 2016, 10:10 AM
matmarex added a subscriber: matmarex.

This is still an issue. If you have NWE enabled, it instead sends you to a broken page saying "The editor will now load. If you still see this message after a few seconds, please reload the page.".

Change 441505 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] If VE was opened on action=edit URL, redirect to view URL when closing

https://gerrit.wikimedia.org/r/441505

Change 441505 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] If VE was opened on action=edit URL, redirect to view URL when closing

https://gerrit.wikimedia.org/r/441505

Deskana closed this task as Resolved.Jul 12 2018, 2:36 PM
Deskana added a subscriber: Deskana.

I don't know why I didn't close this.